在win下面使用cdt+cygwin+cmake

在cygwin终端下面,

cmake -G"Eclipse CDT4 - Unix Makefiles" -D CMAKE_BUILD_TYPE=Debug 

当收获警告

Could not determine Eclipse version, assuming at least 3.6 (Helios)

加上指定eclipse版本

 cmake -G"Eclipse CDT4 - Unix Makefiles" -D CMAKE_BUILD_TYPE=Debug -D_ECLIPSE_VERSION=3.7 ../../../../workspace/core_obj/

如果收获这个警告Cannot determine link language for target,则

SET_TARGET_PROPERTIES(XYZ PROPERTIES LINKER_LANGUAGE C)
下面这个警告
 CMake no longer defines WIN32 on Cygwin!


 cmake -G"Eclipse CDT4 - Unix Makefiles" -D CMAKE_LEGACY_CYGWIN_WIN32=0 -D CMAKE_BUILD_TYPE=Debug -D_ECLIPSE_VERSION=3.7 ../../../../workspace/core_obj/
posted @ 2013-09-30 11:04 冷侃 阅读(...) 评论(...) 编辑 收藏